# $Revision: 1.39 $, $Date: 2008/11/15 21:07:04 $
Summary:	Simple DirectMedia Layer - network
Summary(pl.UTF-8):	Biblioteka obsługi sieci w SDL
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca de rede portável
Name:		SDL_net
Version:	1.2.7
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_net/release/%{name}-%{version}.tar.gz
# Source0-md5:	6bd4662d1423810f3140d4da21b6d912
URL:		http://www.libsdl.org/projects/SDL_net/
BuildRequires:	SDL-devel >= 1.2.5-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libSDL_net1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an example portable network library for use with SDL. Note
that this isn't necessarily how you would want to write a chat
program, but it demonstrates how to use the basic features of the
network and GUI libraries.

%description -l pl.UTF-8
Przykładowa biblioteka obsługi sieci korzystająca z SDL.

%description -l pt_BR.UTF-8
Esta é uma biblioteca portável de rede para uso com o SDL.

%package devel
Summary:	Header files and more to develop SDL_net applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_net
Summary(pt_BR.UTF-8):	Cabeçalhos para desenvolver programas utilizando a SDL_net
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.5-2
Obsoletes:	libSDL_net1.2-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use SDL_net.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowepotzrebne przy rozwijania aplikacji
używających SDL_net.

%description devel -l pt_BR.UTF-8
Este pacote contém os cabeçalhos que programadores vão precisar para
desenvolver aplicações utilizando a SDL_net.

%package static
Summary:	Static SDL_net libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_net
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento utilizando a SDL_net
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statis SDL_net libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_net.

%description static -l pt_BR.UTF-8
Este pacote contém a biblioteca estática que programadores vão
precisar para desenvolver aplicações linkados estaticamente com a
SDL_net.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_libdir}/libSDL_net-*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_net.so
%{_libdir}/libSDL_net.la
%{_includedir}/SDL/SDL_net.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_net.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_net.spec,v $
Revision 1.39  2008/11/15 21:07:04  arekm
- release 2

Revision 1.38  2007/08/13 17:53:53  qboosh
- updated to 1.2.7

Revision 1.37  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.35  2006/05/19 23:52:43  qboosh
- updated to 1.2.6, moved base docs to base

Revision 1.34  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.33  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.32  2004/08/05 14:17:25  pluto
- strict deps.

Revision 1.31  2004/01/02 13:56:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.30  2003/12/29 11:15:52  jajcus
- copy config.sub from automake

Revision 1.29  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.28  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/20 02:26:20  kloczek
- merge translations from Conectiva.

Revision 1.25  2003/03/16 20:44:39  grzegol
- updated to 1.2.5
- new %%doc

Revision 1.24  2003/02/28 10:07:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.23  2003/01/16 00:27:34  aflinta
- moved to /usr; release 3

Revision 1.22  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.21  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/18 16:56:47  qboosh
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)
- release 2

Revision 1.16  2002/05/11 20:18:38  kloczek
- libSDL_net1.2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.15  2002/05/11 19:44:03  marcus
- updated to 1.2.4

Revision 1.14  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/02 20:37:50  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.11  2002/02/01 14:54:40  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.10  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/13 17:32:51  kloczek
- updated to 1.2.3 (bugfix release).

Revision 1.8  2001/08/10 15:21:42  kloczek
- updated to 1.2.2 and make spec ac 2.5x ready.

Revision 1.7  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.6  2001/05/12 00:34:49  kloczek
- updated to 1.2.0.

Revision 1.5  2001/04/02 20:02:22  kloczek
- changed Buildrequires for SDL-devel to ">= 1.2.0".

Revision 1.4  2001/04/02 13:40:53  misiek
release 3; rebuild with SDL 1.2.0; stb

Revision 1.3  2000/10/25 00:17:50  kloczek
- release 2,
- use new rpm automation,
- changed install prefix to /usr/X11R6,
- removed duplicated %doc from main package.

Revision 1.2  2000/07/02 20:36:32  kloczek
- completly rewrited in PLD style.

Based on spec from MDK.
